import typing as t

class CoreError(RuntimeError):
    def __init__(self, message: str, code: t.Optional[int] = None): ...
    @property
    def code(self) -> t.Optional[int]: ...

class TimeoutError(CoreError, __builtins__.TimeoutError): ...
class ConnectionError(CoreError,  __builtins__.ConnectionError): ...
class ReadOnlyError(CoreError): ...
class NotFoundError(CoreError): ...
class DeviceInUseError(CoreError): ...
class DeviceNotFoundError(CoreError): ...
class InvalidArgumentError(CoreError): ...
class InvalidKeywordError(CoreError): ...
class DeviceInterfaceError(CoreError): ...
class SampleLossError(CoreError, EOFError): ...
